Day: October 7, 2013

Quais pacotes de desenvolvimento instalar no Linux

Toda vez é a mesma coisa, você reinstala o seu Linux e aí não lembra mais quais pacotes você precisa instalar para começar a desenvolver.

O pacote mais obvio que bem a mente é o build-essential, mas ele sozinho não resolve tudo…

Então resolvi listar os principais pacotes que preciso numa instalação nova do Linux:

sudo apt-get install \
alien \
apt-file \
automake \
binutils-dev
bison \
build-essential \
bzr \
checkinstall \
chrpath \
cmake \
codeblocks \
curl \
ddd \
doxygen \
flex \
gawk \
gcc-arm-none-eabi \
gperf \
git \
gitk \
help2man \
ht \
hwinfo \
kconfig-frontends \
libasound2-dev \
libbluetooth-dev \
libboost-dev \
libbz2-dev \
libcapi20-dev \
libcups2-dev \
libelf-dev \
libevdev-dev \
libfdt-dev \
libfontconfig1-dev \
libftdi-dev \
libftdi1-dev \
libglew-dev \
libglibmm-2.4-dev \
libgsm1-dev \
libgphoto2-dev \
libgstreamer1.0-dev \
libgtk-3-dev \
libhbalinux-dev \
libhdf5-dev \
libhidapi-dev \
libical-dev \
libicu-dev \
libieee1284-3-dev \
libjack-dev \
libkrb5-dev \
liblcms2-dev \
libldap2-dev \
libmpg123-dev \
libncurses5-dev \
libpython2-dev \
libqt5svg5-dev \
libopenal-dev \
libosmesa6-dev \
libpcap-dev \
libpulse-dev \
libreadline6-dev \
libsane-dev \
libsdl2-dev \
libserialport-dev \
libssl-dev \
libtiff-dev \
libtool \
libtool-bin \
libudev-dev \
libusb-dev \
libusb-1.0-0-dev \
libv4l-dev \
libvkd3d-dev \
libxinerama-dev \
libxml2-dev \
libzip-dev \
meld \
mesa-common-dev \
minicom \
oss4-dev \
python-apt \
python3-dev \
python3-gpg \
python-wxgtk3.0-dev \
subversion \
vim \
ssh \
texinfo \
verilator \
vym

Estes são os principais pacotes que estou lembrando/precisando no momento. Quando eu lembrar de outros pacotes atualizarei esta lista.